[Pkg-mol-commits] r17 - scripts

Gaudenz Steinlin gaudenz at costa.debian.org
Sat Aug 19 20:45:09 UTC 2006


Author: gaudenz
Date: 2006-08-19 20:45:09 +0000 (Sat, 19 Aug 2006)
New Revision: 17

Added:
   scripts/make_orig_tarballs
   scripts/mol-drivers-macos.list
   scripts/mol-drivers-macosx.list
Log:
script to create dfsg free upstream sources



Added: scripts/make_orig_tarballs
===================================================================
--- scripts/make_orig_tarballs	2006-08-19 12:52:10 UTC (rev 16)
+++ scripts/make_orig_tarballs	2006-08-19 20:45:09 UTC (rev 17)
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Author: Gaudenz Steinlin <gaudenz at debian.org>
+# This script takes a mol upstream tarball and generates the
+# orig-tarballs for the different mol Debian packages.
+
+# Uncomment for debugging
+#set -x 
+
+if [ ! -f $1 ] ; then
+	echo "$1 is not a tar.bz2 archive"
+	exit 1
+fi
+
+# Guess upstream version
+version=$(echo $1 | perl -ne '/^mol-(.*).tar.(bz2|gz)$/ && print $1')
+ORIG_DIR=$(basename $1 .tar.bz2)
+
+# unpack the original tarball
+tar -xjf $1
+
+# rename directory (see dev-ref 6.7.8)
+mv ${ORIG_DIR} ${ORIG_DIR}.orig
+ORIG_DIR=${ORIG_DIR}.orig
+
+# move mol-drivers-* files to mol-drivers-*-$version
+# and create orig.tar.gz
+
+for package in mol-drivers-macos mol-drivers-macosx ; do 
+	dir=${package}-$version.orig
+	mkdir -p ${dir}/mollib/drivers
+
+	for i in `grep -v "^ *#" < ${package}.list` ; do
+		mv ${ORIG_DIR}/${i} ${dir}/${i}
+	done
+	tar -czf ${package}_${version}.orig.tar.gz ${dir}
+
+	# clean up
+	rm -rf ${dir}
+done
+
+# prune remaining non-free files from mol source
+rm -rf ${ORIG_DIR}/mollib/drivers
+rm -rf ${ORIG_DIR}/libimport
+
+# repack clean sources
+tar -czf mol_${version}.orig.tar.gz ${ORIG_DIR}
+
+# clean up
+rm -rf ${ORIG_DIR}


Property changes on: scripts/make_orig_tarballs
___________________________________________________________________
Name: svn:executable
   + *

Added: scripts/mol-drivers-macos.list
===================================================================
--- scripts/mol-drivers-macos.list	2006-08-19 12:52:10 UTC (rev 16)
+++ scripts/mol-drivers-macos.list	2006-08-19 20:45:09 UTC (rev 17)
@@ -0,0 +1,16 @@
+# These files are precompiled
+# They go into the mol-drivers-macos package in non-free
+
+mollib/drivers/blk.nw
+mollib/drivers/blk.ow
+mollib/drivers/enet.nw
+mollib/drivers/enet.ow
+mollib/drivers/irqtest.nw
+mollib/drivers/irqtest.ow
+mollib/drivers/misc.nw
+mollib/drivers/misc.ow
+mollib/drivers/sound.ow
+mollib/drivers/video.nw
+mollib/drivers/video.ow
+mollib/drivers/scsi.nw
+mollib/drivers/tty.ow

Added: scripts/mol-drivers-macosx.list
===================================================================
--- scripts/mol-drivers-macosx.list	2006-08-19 12:52:10 UTC (rev 16)
+++ scripts/mol-drivers-macosx.list	2006-08-19 20:45:09 UTC (rev 17)
@@ -0,0 +1,4 @@
+mollib/drivers/bootx
+mollib/drivers/mods1.mkext
+mollib/drivers/mods2.mkext
+mollib/drivers/video.x




More information about the Pkg-mol-commits mailing list